com.smartgwt.client.types

## Enum ExpansionComponentPoolingMode

- java.lang.Object
- - java.lang.Enum<ExpansionComponentPoolingMode>
  - - com.smartgwt.client.types.ExpansionComponentPoolingMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ExpansionComponentPoolingMode>

      public enum ExpansionComponentPoolingMode
      extends java.lang.Enum<ExpansionComponentPoolingMode>
      implements ValueEnum

  The method of pooling to employ for `expansionComponents`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESTROY` auto-created, built-in components are destroyed when record are `collapsed`.
    `NONE` all expansion components are deparented from the grid when a record is `collapsed` but are not destroyed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExpansionComponentPoolingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExpansionComponentPoolingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESTROY

          public static final ExpansionComponentPoolingMode DESTROY

      auto-created, built-in components are destroyed when record are `collapsed`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "destroy".

    - #### NONE

          public static final ExpansionComponentPoolingMode NONE

      all expansion components are deparented from the grid when a record is `collapsed` but are not destroyed. It is the responsibility of the developer to handle component destruction

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static ExpansionComponentPoolingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExpansionComponentPoolingMode c : ExpansionComponentPoolingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExpansionComponentPoolingMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`